#
# spec file for package perl-ExtUtils-Helpers
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name ExtUtils-Helpers
Name:           perl-ExtUtils-Helpers
Version:        0.28.0
Release:        1.4
# 0.028 -> normalize -> 0.28.0
%define cpan_version 0.028
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Various portability utilities for module builders
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/L/LE/LEONT/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
Provides:       perl(ExtUtils::Helpers) = %{version}
Provides:       perl(ExtUtils::Helpers::Unix) = %{version}
Provides:       perl(ExtUtils::Helpers::VMS) = %{version}
Provides:       perl(ExtUtils::Helpers::Windows) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
This module provides various portable helper functions for module building
modules.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Tue Sep  3 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.28.0 (0.028)
  see /usr/share/doc/packages/perl-ExtUtils-Helpers/Changes
  0.028     2024-09-02 22:25:13+02:00 Europe/Brussels
  - Add ext argument to man1_pagename and man3_pagename
* Sun Jun 23 2024 Tina Müller <tina.mueller@suse.com>
- updated to 0.27.0 (0.027)
  see /usr/share/doc/packages/perl-ExtUtils-Helpers/Changes
  0.027     2024-06-18 20:34:46+02:00 Europe/BrusselsA
  - Revert "Make split_like_shell always unixy"
* Sat Sep 10 2016 coolo@suse.com
- updated to 0.026
  see /usr/share/doc/packages/perl-ExtUtils-Helpers/Changes
  0.026     2016-09-09 19:26:57+02:00 Europe/Amsterdam
  - Fix Win32 dependency
* Sat Sep  3 2016 coolo@suse.com
- updated to 0.025
  see /usr/share/doc/packages/perl-ExtUtils-Helpers/Changes
  0.025     2016-09-02 09:48:38+02:00 Europe/Amsterdam
  - Remove unconditional dependency on ExtUtils::PL2Bat
  0.024     2016-08-16 22:02:31+02:00 Europe/Amsterdam (TRIAL RELEASE)
  - Move pl2bat code to ExtUtils::PL2Bat
  0.023     2016-08-06 20:52:34+02:00 Europe/Amsterdam (TRIAL RELEASE)
  - Make split_like_shell always unixy
  - Remove Module::Load dependency
  - Remove done_testing, it requires Test::More 0.88
* Sat Jul 26 2014 dimstar@opensuse.org
- Use build conditionals as wanted:
  + Use build conditional 'with/without test'.
  + due to the usage of bcond_without, the DEFAULT is to enable
    tests.
  + To skip the tests, one can use "osc build --without test".
* Fri Jul 18 2014 chris@computersalat.de
- fix build for SLE 11
  * Test::More >= 0.88
- fix deps
* Mon Mar 17 2014 coolo@suse.com
- updated to 0.022
    Cleaned up remains of former functions
    Skip IO layers on <5.8 for 5.6 compatability
    Don't swallow pl2bat exceptions
* Wed Jun  5 2013 coolo@suse.com
- initial package 0.021
  * created by cpanspec 1.78.06
